SpriteLibrary
SpriteLibrary
SpriteLibrary
Sprite Class
Sprite Methods
AddAnimation Method
AddAnimation Method (Image)
AddAnimation Method (Image, Size)
AddAnimation Method (Image, Int32)
AddAnimation Method (Int32, Int32)
AddAnimation Method (Image, Int32, Int32)
AddAnimation Method (Int32, Boolean, Boolean)
AddAnimation Method (Image, Int32, Int32, Int32)
AddAnimation Method (Point, Image, Int32, Int32, Int32, Int32)

Sprite AddAnimation Method (Int32, Int32)

Duplicate an animation, except rotated by the specified number of degrees. For example, if you have a single animation (0), and you want to rotate it by 90 degrees, it will create animation 1 with that rotation to it. In the long haul, generating a few rotated animations is less memory intensive than rotating it on demand.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public void AddAnimation(
    	int AnimationToCopy,
    	int RotationDegrees
    )

#### Parameters

AnimationToCopy
  Type: System
  Int32
  An integer value specifying the animation to duplicate
RotationDegrees
  Type: System
  Int32
  The amount of counter-clockwise rotation to add

See Also

#### Reference

Sprite Class
AddAnimation Overload
SpriteLibrary Namespace